TAIL(1)

NAME
tail - output the last part of files

SYNOPSIS
tail [OPTION]... [FILE]...

DESCRIPTION

Print the last 10 lines of each FILE to standard output. With more than one FILE, precede each with a header giving the file name. With no FILE, or when FILE is -, read standard input.

--retry
    keep trying to open a file even if it is

    inaccessible when tail starts or if it becomes inaccessible later -- useful only with -f

-c, --bytes=N
    output the last N bytes

    -f, --follow[={name|descriptor}] output appended data as the file grows;

    -f, --follow, and --follow=descriptor are equivalent

-n, --lines=N
    output the last N lines, instead of the last 10

    --max-unchanged-stats=N see the texinfo documentation

    (the default is 5)

    --max-consecutive-size-changes=N see the texinfo documentation

    (the default is 200)

--pid=PID
    with -f, terminate after process ID, PID dies

-q, --quiet, --silent
    never output headers giving file names

-s, --sleep-interval=S
    with -f, sleep S seconds between iterations

-v, --verbose
    always output headers giving file names

--help
    display this help and exit

--version
    output version information and exit

If the first character of N (the number of bytes or lines) is a `+', print beginning with the Nth item from the start of each file, otherwise, print the last N items in the file. N may have a multiplier suffix: b for 512, k for 1024, m for 1048576 (1 Meg). A first OPTION of -VALUE or +VALUE is treated like -n VALUE or -n +VALUE unless VALUE has one of the [bkm] suffix multipliers, in which case it is treated like -c VALUE or -c +VALUE.

With --follow (-f), tail defaults to following the file descriptor, which means that even if a tail'ed file is renamed, tail will continue to track its end. This default behavior is not desirable when you really want to track the actual name of the file, not the file descriptor (e.g., log rotation). Use --follow=name in that case. That causes tail to track the named file by reopening it periodically to see if it has been removed and recreated by some other program.

REPORTING BUGS
Report bugs to <bug-textutils@gnu.org>.

SEE ALSO
The full documentation for tail is maintained as a Texinfo manual. If the info and tail programs are properly installed at your site, the command

    info tail

should give you access to the complete manual.

COPYRIGHT
Copyright © 1999 Free Software Foundation, Inc.
This is free software; see the source for copying conditions. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.